Index: apbs/src/fem/vfetk.c
===================================================================
--- apbs.orig/src/fem/vfetk.c	2022-03-30 16:27:17.123611874 +0200
+++ apbs/src/fem/vfetk.c	2024-10-31 13:51:15.327371624 +0100
@@ -1883,15 +1883,15 @@
  * signature to match to see if that makes g++ happy.  Also see vfetk.h for
  * similar signature change. - P. Ellis 11-8-2011
  */
-VPUBLIC void Vfetk_PDE_u_T(PDE *thee, int type, int chart, double txq[],
-  double F[]) {
-/*VPUBLIC void Vfetk_PDE_u_T(sPDE *thee,
+/*VPUBLIC void Vfetk_PDE_u_T(PDE *thee, int type, int chart, double txq[],
+  double F[]) {*/
+VPUBLIC void Vfetk_PDE_u_T(PDE *thee,
                            int type,
                            int chart,
                            double txq[],
                            double F[],
                            double dF[][3]
-                          ) { */
+                          ) { 
 
     F[0] = 0.0;
     var.u_T = F[0];
Index: apbs/src/fem/vfetk.h
===================================================================
--- apbs.orig/src/fem/vfetk.h	2022-03-30 16:27:17.123611874 +0200
+++ apbs/src/fem/vfetk.h	2024-10-31 13:51:13.243346239 +0100
@@ -746,13 +746,20 @@
  * @author  Nathan Baker
  * @note  This function only returns zero.
  * @bug  This function is not thread-safe. */
-VEXTERNC void Vfetk_PDE_u_T(
-        PDE *thee, /**< PDE object */
-        int type, /**< Point type */
-        int chart, /**< Chart for point coordinates */
-        double txq[], /**< Point coordinates */
-        double F[] /**< Set to value at point */
-        );
+//VEXTERNC void Vfetk_PDE_u_T(
+//        PDE *thee, /**< PDE object */
+//        int type, /**< Point type */
+//        int chart, /**< Chart for point coordinates */
+//        double txq[], /**< Point coordinates */
+//        double F[] /**< Set to value at point */
+//        );
+VEXTERNC void Vfetk_PDE_u_T(PDE *thee,
+			    int type,
+			    int chart,
+			    double txq[],
+			    double F[],
+			    double dF[][3]
+			    );
 
 /**
  * @brief  Define the way manifold edges are bisected
